* Z80/8086形式の２バイト(short int)データを68000intにして返す関数
* int ctos80(unsigned char buff[2])
* buffからはbyte境界でも読み込めるようにしておく

	.text
	.even

	.xdef	_ctos80
_ctos80:
	move.l	4(sp),a0
	moveq.l	#0,d0		* for longword 拡張
	move.b	1(a0),d0	* H
	lsl.w	#8,d0
	move.b	(a0),d0		* L
	rts

	.end
